Mounting pillars and screwholes to join top and bottom cases

This commit is contained in:
Roberto Alsina 2022-11-28 15:09:49 -03:00
parent f549fb32b0
commit 2a48edb3cf
8 changed files with 150817 additions and 88501 deletions

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -21,7 +21,9 @@ thickness = 20 + shell_t # 20 inside
ti_radius = 2.35 ti_radius = 2.35
ti_depth = 6.25 ti_depth = 6.25
pillars = ( # Positions are determined by measuring the keyboard
# mounting holes
kbd_pillars = (
cq.Sketch() cq.Sketch()
.push( .push(
[ [
@ -34,9 +36,30 @@ pillars = (
] ]
) )
.circle(6, mode="a") .circle(6, mode="a")
# Holes for M3 threaded inserts
.circle(ti_radius, mode="s") .circle(ti_radius, mode="s")
) )
# These are placed where convenient, and are used to join the top and bottom
# parts of the case.
# Measured from top-left corner OUTSIDE
mounting_pillar_positions = [
(6, -6),
(width - 6, -6),
(width - 6, -40),
(120, -6),
(170, -6),
]
mounting_pillars = (
cq.Sketch()
.push(mounting_pillar_positions)
.trapezoid(12, 12, 90, mode="a")
.circle(1.5, mode="s")
)
screw_holes = cq.Sketch().push(mounting_pillar_positions).circle(3, mode="a")
battery_holder = ( battery_holder = (
cq.Sketch() cq.Sketch()
.polygon( .polygon(
@ -49,6 +72,11 @@ battery_holder = (
[(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)], [(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)],
mode="s", mode="s",
) )
# Cutout for the
.polygon(
[(-67, 30), (0, 30), (0, 12), (-67, 12), (-67, 30)],
mode="s",
)
) )
@ -57,6 +85,9 @@ usb_in = cq.Sketch().trapezoid(13, 5.5, 90, mode="a")
switch_in = cq.Sketch().trapezoid(13.5, 8, 90, mode="a") switch_in = cq.Sketch().trapezoid(13.5, 8, 90, mode="a")
# Motherboard mount
def model(): def model():
return ( return (
cq.Workplane("XY") cq.Workplane("XY")
@ -88,7 +119,7 @@ def model():
# Hole for power switch # Hole for power switch
.faces(">Y") .faces(">Y")
.workplane(centerOption="CenterOfBoundBox") .workplane(centerOption="CenterOfBoundBox")
.center(-height / 2 + shell_t + 50, 0) .center(0, 0)
.placeSketch(switch_in) .placeSketch(switch_in)
.cutBlind(-shell_t) .cutBlind(-shell_t)
# Slanted mounting pillars on the kbd top # Slanted mounting pillars on the kbd top
@ -98,7 +129,7 @@ def model():
.center(-width / 2 + shell_t, kbd_height - height / 2 + shell_t) .center(-width / 2 + shell_t, kbd_height - height / 2 + shell_t)
.transformed(rotate=cq.Vector(kbd_angle, 0, 0)) .transformed(rotate=cq.Vector(kbd_angle, 0, 0))
.tag("sloped") .tag("sloped")
.placeSketch(pillars) .placeSketch(kbd_pillars)
.extrude(-1000) .extrude(-1000)
# Remove the excess extrusion # Remove the excess extrusion
.workplaneFromTagged("mid_height") .workplaneFromTagged("mid_height")
@ -107,48 +138,63 @@ def model():
# Slope for the beyboard # Slope for the beyboard
.workplaneFromTagged("sloped") .workplaneFromTagged("sloped")
.split(keepBottom=True) .split(keepBottom=True)
# Pillars to join with top half
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(mounting_pillars)
.extrude(thickness)
# Holes to insert screws from the bottom
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(screw_holes)
# 13 is 20-7 (screw thread length - threaded insert depth)
.cutBlind(thickness - 13)
) )
left_cutout = cq.Sketch().polygon( if __name__ == "__main__":
[(0, 0), (160, 0), (160, -100), (135, -100), (135, -200), (0, -200), (0, 0)],
mode="a",
)
right_side = ( left_cutout = cq.Sketch().polygon(
model() [(0, 0), (160, 0), (160, -100), (135, -100), (135, -200), (0, -200), (0, 0)],
.faces("<Z") mode="a",
.workplaneFromTagged("mid_height") )
.transformed(offset=cq.Vector(0, 0, -thickness / 2))
.center(-width / 2, height / 2)
.placeSketch(left_cutout)
.cutBlind(100)
)
exporters.export(right_side, "right_side.stl") right_side = (
model()
.faces("<Z")
.workplaneFromTagged("mid_height")
.transformed(offset=cq.Vector(0, 0, -thickness / 2))
.center(-width / 2, height / 2)
.placeSketch(left_cutout)
.cutBlind(100)
)
right_cutout = cq.Sketch().polygon( exporters.export(right_side, "right_side.stl")
[
(160, 0),
(width, 0),
(width, -height),
(135, -height),
(135, -100),
(160, -100),
(160, 0),
],
mode="a",
)
left_side = ( right_cutout = cq.Sketch().polygon(
model() [
.faces("<Z") (160, 0),
.workplaneFromTagged("mid_height") (width, 0),
.transformed(offset=cq.Vector(0, 0, -thickness / 2)) (width, -height),
.center(-width / 2, height / 2) (135, -height),
.placeSketch(right_cutout) (135, -100),
.cutBlind(100) (160, -100),
) (160, 0),
exporters.export(left_side, "left_side.stl") ],
mode="a",
)
exporters.export(model(), "model.stl") left_side = (
model()
.faces("<Z")
.workplaneFromTagged("mid_height")
.transformed(offset=cq.Vector(0, 0, -thickness / 2))
.center(-width / 2, height / 2)
.placeSketch(right_cutout)
.cutBlind(100)
)
exporters.export(left_side, "left_side.stl")
exporters.export(model(), "model.stl")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -1,21 +1,19 @@
import cadquery2 as cq import cadquery2 as cq
from cadquery2 import exporters from cadquery2 import exporters
# Some dimensions copied from modelo.py, from modelo import (
# TODO refactor into a separate file kbd_height,
kbd_width,
# Thickness of the outer material mounting_pillar_positions,
shell_t = 3 shell_t,
ti_depth,
# Size of the kbd board ti_radius,
kbd_height = 98 )
kbd_width = 286
kbd_angle = 5
# Size of the whole object # Size of the whole object
width = kbd_width + 2 * shell_t width = kbd_width + 2 * shell_t
height = 69 height = 59
thickness = 10 thickness = 62 # Will be shorter after construction
# Visible screen size # Visible screen size
vis_w = 220 vis_w = 220
@ -40,13 +38,20 @@ board_cutout = cq.Sketch().trapezoid(
kbd_cable_hole = cq.Sketch().trapezoid(15, 5, 90, mode="a").vertices().fillet(1) kbd_cable_hole = cq.Sketch().trapezoid(15, 5, 90, mode="a").vertices().fillet(1)
mounting_pillars = (
cq.Sketch()
.push(mounting_pillar_positions)
.trapezoid(12, 12, 90, mode="a")
.circle(ti_radius, mode="s")
)
def model(): def model():
return ( return (
cq.Workplane("XY") cq.Workplane("XY")
.workplane() .workplane()
.tag("mid_height") .tag("mid_height")
.box(width, 59, 62) .box(width, height, thickness)
# The screen goes at a 45 degree angle # The screen goes at a 45 degree angle
.faces(">Z") .faces(">Z")
.transformed(rotate=(45, 0, 0)) .transformed(rotate=(45, 0, 0))
@ -76,7 +81,8 @@ def model():
.cutBlind(100) .cutBlind(100)
# Make it hollow # Make it hollow
.faces("<Z") .faces("<Z")
.shell(-2.5) # Can't be exactly shell_t because cq fails
.shell(-shell_t + 0.01)
# Cut hole for the screen board and cables # Cut hole for the screen board and cables
.workplaneFromTagged("slanted") .workplaneFromTagged("slanted")
.workplane(offset=-scr_thickness, centerOption="CenterOfBoundBox") .workplane(offset=-scr_thickness, centerOption="CenterOfBoundBox")
@ -88,9 +94,15 @@ def model():
# Make small hole for the keyboard cable # Make small hole for the keyboard cable
.faces(">Y") .faces(">Y")
.workplane(offset=-5, centerOption="CenterOfBoundBox") .workplane(offset=-5, centerOption="CenterOfBoundBox")
.center(width / 2 - 128, -23) .center(-width / 2 + 128, -23)
.placeSketch(kbd_cable_hole) .placeSketch(kbd_cable_hole)
.cutBlind(-1000) .cutBlind(-1000)
# Pillars to join with bottom half
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(mounting_pillars)
.extrude(10)
) )
@ -99,7 +111,7 @@ exporters.export(model(), "screen_mount.stl")
right_side = ( right_side = (
model() model()
.faces(">X") .faces(">X")
.workplane(centerOption="CenterOfBoundBox", offset=-140) .workplane(centerOption="CenterOfBoundBox", offset=-width / 2)
.center(0, height / 2) .center(0, height / 2)
.split(keepTop=True) .split(keepTop=True)
) )
@ -109,7 +121,7 @@ exporters.export(right_side, "right_screen_mount.stl")
left_side = ( left_side = (
model() model()
.faces(">X") .faces(">X")
.workplane(centerOption="CenterOfBoundBox", offset=-140) .workplane(centerOption="CenterOfBoundBox", offset=-width / 2)
.center(0, height / 2) .center(0, height / 2)
.split(keepBottom=True) .split(keepBottom=True)
) )

File diff suppressed because it is too large Load Diff